Bullet Collision Detection & Physics Library: btSoftSoftCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
btSoftSoftCollisionAlgorithm Class Reference

collision detection between two btSoftBody shapes More...

`#include <btSoftSoftCollisionAlgorithm.h>`

Inheritance diagram for btSoftSoftCollisionAlgorithm:
[legend]
Collaboration diagram for btSoftSoftCollisionAlgorithm:
[legend]

## Classes
struct | CreateFunc

## Public Member Functions
| btSoftSoftCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
| btSoftSoftCollisionAlgorithm (btPersistentManifold *mf, const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
virtual | ~btSoftSoftCollisionAlgorithm ()
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Private Attributes
bool | m_ownManifold
btPersistentManifold * | m_manifoldPtr

## Additional Inherited Members
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

collision detection between two btSoftBody shapes

Definition at line 28 of file btSoftSoftCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btSoftSoftCollisionAlgorithm() [1/2]

btSoftSoftCollisionAlgorithm::btSoftSoftCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |
| inline

Definition at line 37 of file btSoftSoftCollisionAlgorithm.h.

## ◆ btSoftSoftCollisionAlgorithm() [2/2]

btSoftSoftCollisionAlgorithm::btSoftSoftCollisionAlgorithm | ( | btPersistentManifold * | mf,
|  | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap
| ) |  |

Definition at line 26 of file btSoftSoftCollisionAlgorithm.cpp.

## ◆ ~btSoftSoftCollisionAlgorithm()

btSoftSoftCollisionAlgorithm::~btSoftSoftCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 33 of file btSoftSoftCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

btScalar btSoftSoftCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 44 of file btSoftSoftCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

virtual void btSoftSoftCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| inlinevirtual

Implements btCollisionAlgorithm.

Definition at line 44 of file btSoftSoftCollisionAlgorithm.h.

## ◆ processCollision()

void btSoftSoftCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 37 of file btSoftSoftCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_manifoldPtr

btPersistentManifold* btSoftSoftCollisionAlgorithm::m_manifoldPtr
| private

Definition at line 31 of file btSoftSoftCollisionAlgorithm.h.

## ◆ m_ownManifold

bool btSoftSoftCollisionAlgorithm::m_ownManifold
| private

Definition at line 30 of file btSoftSoftCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btSoftSoftCollisionAlgorithm.h
- btSoftSoftCollisionAlgorithm.cpp